<html>
<head>
<!-- <script src="/socket.io/socket.io.js"></script> -->
<!-- For some reason, the above is not workings -->
<script src="http://localhost:8000/socket.io/socket.io.js"> </script>

</head>

<body>
<script>
	var socket = io.connect('http://localhost:8000'); // to open client.html directly, need this;
													  //    if connect to server first, can omit :8000
	socket.on('news', function (data) {
		console.log(data);
		socket.emit('set nickname', { name: 'clientPage' });
	});
	
	socket.on('ready', function (data) {
		console.log(data);
		socket.emit('msg', { myNote: 'hello world' });
	});
</script>
<div>This is a  socket.io test</div>


</body>
</html>
